#include <bits/stdc++.h>

using namespace std;
long long u(int n,int i)
{if (n==1){return 1;}
else return pow(n,i)+u(n-1,i);
}

int main() {
	ifstream f1("DQU.INP");
	ofstream f2("DQU.OUT");
	int n,i;
	f1>>n>>i;
	f2<<u(n,i);
	return 0;
}
